Bug 1216218 - Exo in GNOME software appears as Web browser, removing removes half of Xfce
Summary: Exo in GNOME software appears as Web browser, removing removes half of Xfce
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: appstream-data
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-28 19:23 UTC by Miro Hrončok
Modified: 2015-06-21 00:06 UTC (History)
4 users (show)

Fixed In Version: gnome-software-3.14.5-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-01 16:39:13 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot (34.84 KB, image/jpeg)
2015-04-28 19:23 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2015-04-28 19:23:48 UTC
Created attachment 1019846 [details]
Screenshot

When I looked to my installed apps in GNOME Software, I saw a "Web browser" with very little info, so I removed it. GNOME Software issued no warning and I removed exo and half of Xfce (I was running on Xfce). After restart, everything stopped working (no xfdesktop, na panel, etc...).

I consider this dangerous.

Feel free to reassign to gnome-software or some appdata tool responsible.

exo-0.10.4-1.fc22
gnome-software-3.16.1-1.fc22

Comment 1 Mukundan Ragavan 2015-04-29 00:47:51 UTC
That's weird. exo does not even ship an appdata file. I thought GNOME software showed only those items that shipped appdata files.

Comment 2 Mukundan Ragavan 2015-04-29 00:49:48 UTC
$ rpm -ql exo | grep -i app
/usr/bin/exo-preferred-applications
/usr/share/applications/exo-file-manager.desktop
/usr/share/applications/exo-mail-reader.desktop
/usr/share/applications/exo-preferred-applications.desktop
/usr/share/applications/exo-terminal-emulator.desktop
/usr/share/applications/exo-web-browser.desktop
/usr/share/icons/hicolor/24x24/apps/internet-mail.png
/usr/share/icons/hicolor/24x24/apps/preferences-desktop-default-applications.png
/usr/share/icons/hicolor/48x48/apps/internet-mail.png
/usr/share/icons/hicolor/48x48/apps/preferences-desktop-default-applications.png
/usr/share/icons/hicolor/48x48/categories/applications-internet.png
/usr/share/icons/hicolor/48x48/categories/applications-other.png


I will install GNOME in a VM and try to track this. 

Thanks for the report. The described behavior is indeed very unfortunate.

Comment 3 Miro Hrončok 2015-04-29 08:20:29 UTC
Well I did this on Xfce, not GNOME.

Also happens on F21.


$ zcat /usr/share/app-info/xmls/fedora-21.xml.gz | grep '<name>Web Browser' -B3 -A156
  <component type="desktop">
    <id>exo-web-browser.desktop</id>
    <pkgname>exo</pkgname>
    <name>Web Browser</name>
    <name xml:lang="ar">متصفّح وِب</name>
    ...
    <name xml:lang="zh_TW">網路瀏覽器</name>
    <summary>Browse the web</summary>
    <summary xml:lang="ar">تصفح الوِب</summary>
    ...
    <summary xml:lang="zh_TW">瀏覽網路</summary>
    <icon type="stock">web-browser</icon>
    <categories>
      <category>Network</category>
    </categories>
    <kudos>
      <kudo>HiDpiIcon</kudo>
    </kudos>
    <project_license>LGPL-2.1+ AND GPL-2.0+</project_license>
    <url type="homepage">http://xfce.org/</url>
    <project_group>XFCE</project_group>
    <releases>
      <release version="0.10.2" timestamp="1356609600"/>
      <release version="0.10.1" timestamp="1355054400"/>
      <release version="0.10.0" timestamp="1354622400"/>
    </releases>
    <languages>
      <lang percentage="100">ar</lang>
      ...
      <lang percentage="100">zh_TW</lang>
    </languages>
    <metadata>
      <value key="X-CacheID">exo-0.10.2-8.fc21.x86_64.rpm</value>
    </metadata>
  </component>

Looks like parsed from the desktop file for default web browser in Xfce.

$ rpm -qf /usr/share/app-info/xmls/fedora-21.xml.gz
appstream-data-21-20.fc21.noarch

$ rpm -qf /usr/share/app-info/xmls/fedora-22.xml.gz
appstream-data-22-7.fc22.noarch

Comment 4 Fedora Update System 2015-04-29 14:57:08 UTC
libappstream-glib-0.3.6-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libappstream-glib-0.3.6-2.fc22

Comment 5 Kevin Fenzi 2015-04-29 15:04:14 UTC
FYI, this was a typo in the appstream data. It should have been blacklisted all along... 

https://github.com/hughsie/appstream-glib/commit/110218325c2f914ee88f2f52341692f518f2e367

Comment 6 Miro Hrončok 2015-04-29 19:43:43 UTC
Thanks, could you also update this in F21?

Comment 7 Fedora Update System 2015-04-30 11:45:33 UTC
Package libappstream-glib-0.3.6-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libappstream-glib-0.3.6-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7252/libappstream-glib-0.3.6-2.fc22
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-05-01 16:39:13 UTC
libappstream-glib-0.3.6-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-06-08 21:48:26 UTC
gnome-software-3.14.5-2.fc21, PackageKit-1.0.6-1.fc21, libhif-0.2.0-3.fc21, libappstream-glib-0.4.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-9570/gnome-software-3.14.5-2.fc21,PackageKit-1.0.6-1.fc21,libhif-0.2.0-3.fc21,libappstream-glib-0.4.0-1.fc21

Comment 10 Fedora Update System 2015-06-21 00:06:58 UTC
gnome-software-3.14.5-2.fc21, PackageKit-1.0.6-1.fc21, libhif-0.2.0-3.fc21, libappstream-glib-0.4.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.